Password Strength Auditor
This API analyzes passwords, provides a score (0-4), estimated cracking time, and actionable feedback to improve security.
Password Generator API Generate strong and secure passwords with custom criteria
Endpoint
Section titled “Endpoint” POST
/api/v1/password-strength Request Parameters
Section titled “Request Parameters”The following parameters are accepted in the request body:
| Field | Type | Required | Description |
|---|---|---|---|
password | string | Yes | The password string to analyze. |
Request Examples
Section titled “Request Examples”curl -X POST https://heavstal.com.ng/api/v1/password-strength \-H "Content-Type: application/json" \-H "x-api-key: <YOUR_API_KEY>" \-d '{"password": "password123"}'const response = await fetch('https://heavstal.com.ng/api/v1/password-strength', { method: 'POST', headers: { 'Content-Type': 'application/json', 'x-api-key': '<YOUR_API_KEY>' }, body: JSON.stringify({ password: 'password123' })});
const res = await response.json();console.log(`Verdict: ${res.data.verdict}`);import { tools } from '@heavstal/api';
const audit = await tools.passwordStrength("password123");console.log(`Score: ${audit.data.score}/4 | Time to crack: ${audit.data.crack_time}`);import requests
url = "https://heavstal.com.ng/api/v1/password-strength"headers = { "Content-Type": "application/json", "x-api-key": "<YOUR_API_KEY>"}payload = { "password": "password123"}
response = requests.post(url, headers=headers, json=payload)print(response.json()["data"])Response Examples
Section titled “Response Examples”{ "status": "success", "creator": "HEAVSTAL TECH", "data": { "score": 0, "verdict": "Very Weak", "crack_time": "Instant", "feedback": { "warning": "This is a top-10 common password", "suggestions": ["Add another word or two", "Avoid common phrases"] } }}{ "status": "error", "error": "Missing required parameter: password"}